Loading...
Searching...
No Matches
L4::Typeid Namespace Reference
Base API » C++ IPC Interface Definition.

Definition of interface data-type helpers. More...

## Data Structures

struct | P_dispatch
| Use for protocol based dispatch stage. More...
struct | Raw_ipc
| RPCs list for passing raw incoming IPC to the server object. More...
struct | Rpcs
| Standard list of RPCs of an interface. More...
struct | Rpcs_code
| List of RPCs of an interface using a special opcode type. More...
struct | Rpc_nocode
| List of RPCs of an interface using a single operation without an opcode. More...
struct | Rpcs_sys
| List of RPCs typically used for kernel interfaces. More...

## Detailed Description

Definition of interface data-type helpers.

Note
  These type helpers are intended for internal use, if you look for standard C++ type traits use the <type_traits> header for the standard C++ library or use <l4/cxx/type_traits>.